{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "MENUITEM.CAPTION.ENTITYCALENDARNAVIGATIONVIEW"
  },
  "caption" : "实体日历导航视图",
  "codeName" : "IBIZOrderCalendarExpView_layout",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderCalendarExpView_layout.json",
  "name" : "IBIZOrderCalendarExpView_layout",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "CalendarExpView",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "ctrlName" : "calendarexpbar",
      "name" : "CALENDAREXPBAR",
      "paramType" : "CTRL"
    } ]
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "getNewDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewMsgGroup" : {
    "modelref" : true,
    "id" : "VMGroup46"
  },
  "getPSAppViewRefs" : [ {
    "name" : "EDITDATA",
    "realTitle" : "订单编辑视图",
    "getRealTitlePSLanguageRes" : {
      "lanResTag" : "PAGE.TITLE.IBIZORDER.EDITVIEW"
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "NEWDATA",
    "realTitle" : "订单编辑视图",
    "getRealTitlePSLanguageRes" : {
      "lanResTag" : "PAGE.TITLE.IBIZORDER.EDITVIEW"
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "CalendarExpView_layoutcalendarexpbar",
    "controlType" : "CALENDAREXPBAR",
    "hookEventNames" : [ "SELECTIONCHANGE", "LOAD", "ACTIVATED" ],
    "name" : "calendarexpbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSAppViewLogics" : [ {
      "eventArg" : "deuiaction3",
      "eventNames" : "CLICK",
      "logicTrigger" : "CTRLEVENT",
      "logicType" : "APPVIEWUIACTION",
      "name" : "calendarexpbar_toolbar_deuiaction3_click",
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "calendarexpbar_toolbar_deuiaction3"
      },
      "getPSViewCtrlName" : "calendarexpbar_toolbar"
    } ],
    "getPSAppViewRefs" : [ {
      "name" : "EXPITEM:item1",
      "parentDataJO" : {
        "srfparentdefname" : "IBIZORDERID",
        "srfparentdename" : "IBIZORDER",
        "srfparentmode" : "DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID"
      },
      "realTitle" : "订单明细表格视图",
      "getRealTitlePSLanguageRes" : {
        "lanResTag" : "PAGE.TITLE.IBIZORDERDETAIL.SGRIDVIEW9"
      },
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailSGridView9.json",
        "viewType" : "DEGRIDVIEW9"
      }
    } ],
    "getPSAppViewUIActions" : [ {
      "name" : "calendarexpbar_toolbar_deuiaction3",
      "getPSUIAction" : {
        "modelref" : true,
        "id" : "Edit"
      },
      "uIActionTarget" : "SINGLEKEY",
      "xDataControlName" : "calendarexpbar_calendar"
    } ],
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "calendarexpbar"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "SELECTIONCHANGE;LOAD;ACTIVATED",
      "logicTag" : "calendarexpbar",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_calendarexpbar",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "CALENDAREXPBAR"
    },
    "getPSControls" : [ {
      "calendarStyle" : "MONTH",
      "codeName" : "OrderCalendarNavigation",
      "controlType" : "CALENDAR",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSCALENDARS/OrderCalendarNavigation.json",
      "groupMode" : "NONE",
      "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
      "legendPos" : "NONE",
      "logicName" : "订单日历导航",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
      },
      "getPSControlHandler" : {
        "enableDEFieldPrivilege" : false,
        "id" : "calendarexpbar_calendar"
      },
      "getPSControlLogics" : [ {
        "eventNames" : "SELECTIONCHANGE",
        "logicTag" : "calendarexpbar_calendar",
        "logicType" : "CUSTOM",
        "name" : "calendarexpbar_selectionchange"
      }, {
        "eventNames" : "LOAD",
        "logicTag" : "calendarexpbar_calendar",
        "logicType" : "CUSTOM",
        "name" : "calendarexpbar_load"
      } ],
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "calendarexpbar_calendar"
      },
      "getPSSysCalendarItems" : [ {
        "getBeginTimePSAppDEField" : {
          "name" : "STARTTIME",
          "codeName" : "StartTime"
        },
        "getEndTimePSAppDEField" : {
          "name" : "ENDTIME",
          "codeName" : "EndTime"
        },
        "getIdPSAppDEField" : {
          "name" : "IBIZORDERID",
          "codeName" : "IBIZOrderId"
        },
        "itemStyle" : "DEFAULT",
        "itemType" : "item1",
        "maxSize" : -1,
        "name" : "订单",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailSGridView9.json",
          "viewType" : "DEGRIDVIEW9"
        },
        "getNavPSDER" : {
          "codeName" : "IBIZORDER",
          "dERType" : "DER1N",
          "dynaModelFilePath" : "PSMODULES/Sample/PSDATAENTITIES/IBIZOrderDetail/PSDERS/DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID.json",
          "masterOrder" : -1,
          "masterRS" : 0,
          "minorCodeName" : "IBIZORDERDETAILS",
          "name" : "DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID",
          "orderValue" : 100,
          "pickupDEFName" : "IBIZORDERID",
          "removeActionType" : 3,
          "removeOrder" : 0
        },
        "getPSAppDEDataSet" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        },
        "getTextPSAppDEField" : {
          "name" : "IBIZORDERNAME",
          "codeName" : "IBIZOrderName"
        },
        "enableQuickCreate" : false,
        "id" : "item1"
      } ],
      "enableGroup" : false,
      "name" : "calendarexpbar_calendar",
      "modelid" : "6999d77a8cd313ef3e7fc0038e128591",
      "modeltype" : "PSSYSCALENDAR"
    }, {
      "codeName" : "CalendarExpView_layoutcalendarexpbar_toolbar",
      "controlType" : "TOOLBAR",
      "hookEventNames" : [ "CLICK" ],
      "logicName" : "导航工具栏",
      "name" : "calendarexpbar_toolbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
      },
      "getPSControlLogics" : [ {
        "eventArg" : "deuiaction3",
        "eventNames" : "CLICK",
        "logicTag" : "calendarexpbar_toolbar",
        "logicType" : "APPVIEWLOGIC",
        "name" : "calendarexpbar_toolbar_deuiaction3_click",
        "getPSAppViewLogic" : {
          "modelref" : true,
          "id" : "calendarexpbar_toolbar_deuiaction3_click"
        }
      } ],
      "getPSControlParam" : {
        "id" : "calendarexpbar_toolbar"
      },
      "getPSDEToolbarItems" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.EDIT"
        },
        "caption" : "编辑",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction3",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "calendarexpbar_toolbar_deuiaction3"
        },
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "codeName" : "Edit",
          "fullCodeName" : "Edit",
          "name" : "表格界面_编辑操作",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "predefinedType" : "GRIDVIEW_EDITACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "编辑",
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.EDIT"
        },
        "showCaption" : true,
        "showIcon" : true
      } ],
      "modelid" : "ccc80bd11c6bc1789aa0e05fd5ede0b7",
      "modeltype" : "PSDETOOLBAR"
    } ],
    "xDataControlName" : "calendarexpbar_calendar",
    "enableCounter" : true,
    "enableSearch" : true,
    "showTitleBar" : true,
    "modelid" : "8a29ee094e2f26c928d26ef24d29401f_calendarexpbar",
    "modeltype" : "PSEXPBAR"
  } ],
  "getPSDEViewCodeName" : "CalendarExpView_layout",
  "getPSDEViewId" : "1EBC87C4-B453-4C00-B5FD-CD51AE95423F",
  "getPSViewLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "view_pagecaption"
    } ],
    "codeName" : "Layoutpanel",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "TABLE_24COL",
    "logicName" : "日历导航",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "滚动条容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container_scroll1",
      "getPSLayout" : {
        "layout" : "BORDER"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSPanelItems" : [ {
        "caption" : "面板容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_scroll_main1",
        "getPSLayout" : {
          "layout" : "BORDER"
        },
        "getPSLayoutPos" : {
          "layout" : "BORDER",
          "layoutPos" : "CENTER"
        },
        "getPSPanelItems" : [ {
          "caption" : "导航区占位",
          "itemStyle" : "DEFAULT",
          "itemType" : "RAWITEM",
          "name" : "nav_pos1",
          "getPSLayoutPos" : {
            "heightMode" : "FULL",
            "layout" : "BORDER",
            "layoutPos" : "CENTER",
            "widthMode" : "FULL"
          },
          "getPSRawItem" : {
            "name" : "nav_pos1",
            "predefinedType" : "NAV_POS"
          },
          "showCaption" : true
        } ],
        "showCaption" : true
      }, {
        "caption" : "面板容器",
        "contentHeight" : 80.0,
        "height" : 80.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_scroll_header1",
        "getPSLayout" : {
          "layout" : "BORDER"
        },
        "getPSLayoutPos" : {
          "height" : 80,
          "heightMode" : "PX",
          "layout" : "BORDER",
          "layoutPos" : "NORTH"
        },
        "getPSPanelItems" : [ {
          "caption" : "栅格容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container_grid1",
          "getPSLayout" : {
            "layout" : "SIMPLEFLEX"
          },
          "getPSLayoutPos" : {
            "layout" : "BORDER",
            "layoutPos" : "CENTER"
          },
          "getPSPanelItems" : [ {
            "caption" : "面板容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container1",
            "getPSLayout" : {
              "layout" : "SIMPLEFLEX"
            },
            "getPSLayoutPos" : {
              "grow" : 3,
              "layout" : "SIMPLEFLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "页面标题",
              "itemStyle" : "DEFAULT",
              "itemType" : "FIELD",
              "name" : "view_pagecaption",
              "getPSEditor" : {
                "editorType" : "SPAN",
                "name" : "view_pagecaption",
                "predefinedType" : "VIEW_PAGECAPTION",
                "renderMode" : "HEADING1",
                "enableLinkView" : false
              },
              "getPSLayoutPos" : {
                "grow" : -1,
                "hAlignSelf" : "LEFT",
                "layout" : "SIMPLEFLEX",
                "vAlignSelf" : "MIDDLE"
              },
              "hidden" : false,
              "showCaption" : false
            } ]
          }, {
            "caption" : "面板容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container2",
            "getPSLayout" : {
              "layout" : "SIMPLEFLEX"
            },
            "getPSLayoutPos" : {
              "grow" : 9,
              "layout" : "SIMPLEFLEX"
            }
          } ]
        } ],
        "showCaption" : true
      }, {
        "caption" : "面板容器",
        "contentWidth" : 20.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_scroll_left1",
        "getPSLayout" : {
          "layout" : "BORDER"
        },
        "getPSLayoutPos" : {
          "layout" : "BORDER",
          "layoutPos" : "WEST",
          "width" : 20,
          "widthMode" : "PERCENTAGE"
        },
        "getPSPanelItems" : [ {
          "caption" : "CALENDAREXPBAR部件",
          "itemStyle" : "DEFAULT",
          "itemType" : "CTRLPOS",
          "name" : "calendarexpbar",
          "getPSLayoutPos" : {
            "heightMode" : "FULL",
            "layout" : "BORDER",
            "layoutPos" : "CENTER",
            "widthMode" : "FULL"
          },
          "showCaption" : true
        } ],
        "width" : 20.0,
        "showCaption" : true
      } ]
    } ],
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "modelid" : "FF10723D-97D5-468C-9757-F58C8BCEC39D",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL"
  },
  "sideBarLayout" : "LEFT",
  "title" : "实体日历导航视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DECALENDAREXPVIEW",
  "enableDP" : true,
  "enableFilter" : false,
  "enableQuickSearch" : true,
  "showCaptionBar" : false,
  "showDataInfoBar" : true,
  "modelid" : "8a29ee094e2f26c928d26ef24d29401f",
  "modeltype" : "PSAPPDEVIEW"
}